import request from '@/utils/request'

// 获取当前用户的公司
export function getCompanyDept(parameter) {
  return request({
    url: '/api/company/dept',
    method: 'get',
    params: parameter
  })
}
// 获取公司列表
export function getCompany(parameter) {
  return request({
    url: '/api/company',
    method: 'get',
    params: parameter
  })
}
// 获取公司详情
export function getCompanyDetails(parameter) {
  return request({
    url: '/api/company/' + parameter,
    method: 'get',
  })
}

// 添加公司
export function addCompany(parameter) {
  return request({
    url: '/api/company',
    method: 'post',
    data: parameter
  })
}

// 编辑公司
export function putCompany(parameter) {
  return request({
    url: '/api/company',
    method: 'put',
    data: parameter
  })
}

// 删除公司
export function delCompany(parameter) {
  return request({
    url: '/api/company',
    method: 'delete',
    data: parameter
  })
}
